=== debian/changelog ===
obs-ashmanix-blur-filter (0.0.2-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 24 Jul 2023 12:21:42 -0300

obs-ashmanix-blur-filter (0.0.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 15 Jul 2023 17:14:49 -0300

obs-ashmanix-blur-filter (0.0.2-1) experimental; urgency=medium

  * Initial release. (Closes: #1040493)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 05 Jul 2023 23:53:33 -0300
