=== debian/control ===
Source: obs-ashmanix-blur-filter
Section: video
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), cmake, libobs-dev
Standards-Version: 4.6.2
Homepage: https://obsproject.com/forum/resources/ashmanix-blur-filter.1742/
Vcs-Browser: https://salsa.debian.org/debian/obs-ashmanix-blur-filter
Vcs-Git: https://salsa.debian.org/debian/obs-ashmanix-blur-filter.git

Package: obs-ashmanix-blur-filter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 29)
Enhances: obs-studio
Breaks: obs-text-slideshow (<= 1.5.2-3)
Description: plugin for OBS Studio to set a blur filter on a source
 This plugin lets to set a simple blur filter on any OBS source, such images,
 videos, texts, scenes, webcam, etc. To use it, just right click on an image
 or video source and select Filters.
