=== debian/changelog ===
obs-ashmanix-blur-filter (1.0.1-3) unstable; urgency=medium

  * debian/control: changed qtbase5-dev by qt6-base-dev in Build-Depends field.
  * debian/copyright: updated packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 18 May 2024 12:24:56 -0300

obs-ashmanix-blur-filter (1.0.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 09 Nov 2023 20:35:37 -0300

obs-ashmanix-blur-filter (1.0.1-1) experimental; urgency=medium

  * New upstream version 1.0.1.
  * debian/clean: added cmake/.CMakeBuildNumber.
  * debian/control: added qtbase5-dev to Build-Depends field.
  * debian/patches/:
      - 010_fix-binary-name.patch: changed to revert the plugin name from
        blur-filter-obs-plugin to ashmanix-blur-filter (the original name in
        Debian since the first version).
      - 020_add-pt-br-translation.patch: removed because the upstream applied
        this patch.
      - 030_ignore-build-number.patch: created to ignore buildnumber generation
        to avoid a FTBFS on Salsa.
  * debian/rules:
      - Added a target to make blhc to ignore a false positive about
        CMakeCXXCompilerABI.cpp.
      - Set --compile-no-warning-as-error.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 09 Nov 2023 08:45:43 -0300
