=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13), cmake, libobs-dev
+Build-Depends: debhelper-compat (= 13), cmake, libobs-dev, qt6-base-dev
 Standards-Version: 4.6.2
 Homepage: https://obsproject.com/forum/resources/ashmanix-blur-filter.1742/
 Vcs-Browser: https://salsa.debian.org/debian/obs-ashmanix-blur-filter
