=== debian/changelog ===
obs-ashmanix-blur-filter (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0. (Closes: #1099850)
  * debian/control:
      - Added libxkbcommon-dev to Build-Depends field.
      - Bumped Standards-Version to 4.7.2.
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/patches/:
      - 010_change-project-name.patch:
          ~ Refreshed.
          ~ Updated to make it compliant with the new upstream release.
      - 030_ignore-build-number.patch:
          ~ Renamed to 020_ignore-build-number.patch.
          ~ Refreshed.
  * debian/rules: removed no longer needed --compile-no-warning-as-error
    because the upstream fixed the source code. Thanks!

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 31 Mar 2025 17:32:03 -0300
