## obs-ashmanix-blur-filter 1.1.1

=== debian/changelog ===
obs-ashmanix-blur-filter (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1.
  * debian/control: removed no longer needed "Rules-Requires-Root: no" field.
  * debian/patches/010_change-project-name.patch: updated to make it compliant
    with the new upstream release.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 09 Oct 2025 07:35:39 -0300
