=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: video
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libobs-dev,
