=== debian/rules ===
--- 
+++ 
@@ -25,8 +25,7 @@
 	fi
 
 override_dh_auto_configure:
-	dh_auto_configure -- --compile-no-warning-as-error \
-                             -DBUILD_OUT_OF_TREE=On \
+	dh_auto_configure -- -DBUILD_OUT_OF_TREE=On \
                              -DLIB_OUT_DIR=lib/${DEB_TARGET_MULTIARCH}/obs-plugins \
                              -DDATA_OUT_DIR=share/obs/obs-plugins/${PLUGIN_NAME} \
                              -DLINUX_PORTABLE=Off
