=== debian/watch ===
version=4
https://github.com/ashmanix/blur-filter-obs-plugin/tags .*/tags/v?(\d\S+)\.tar\.(?:bz2|gz|xz)
